إعـــــــلان

تقليص
لا يوجد إعلان حتى الآن.

مشكلة في compilations ارجو المساعدة

تقليص
X
 
  • تصفية - فلترة
  • الوقت
  • عرض
إلغاء تحديد الكل
مشاركات جديدة

  • مشكلة في compilations ارجو المساعدة

    السلام عليكم اليوم بعد تتبيتUbuntu 7.10 - Gutsy Gibbon

    اردت ان اعمل شوي اعمال برمجية جيت اترجم ملف بلغة سي عشان اشوف النتيجة طلع لي العجب دا
    كود PHP:
    root@azzdine-desktop:/home/azzdine/Bureau# gcc buffer.c -o buffer
    buffer.c:1:19erreurstdio.Aucun fichier ou répertoire de ce type
    buffer
    .cIn function «main":
    buffer.c:5: attention : incompatible implicit declaration of built-in function «printf"
    buffer.c:6attention incompatible implicit declaration of built-in function «scanf
    صراحة دخلت في دوامة:twister2:
    على حسب ما فهمت فهو لم يجد مكتبتstdio.h
    لاكن فين هو الحل:angry_red:



    في انتضاركم بفارغ الصبر:clown:


  • #2
    اهلين حبيبي كان نفسنا نخدمك بس ماعندي فكره ..

    ان شاء الله بمر من هنا :

    المهندس : ستراكتر
    المهندس : ستورم

    وشفلوك حل ..

    Twitter
    : @Linux4SA

    تعليق


    • #3
      بدر شرفني مروورك لي زي العسل

      في انتضار الاخوة المهندسين يطلو على الموضوع:joker:


      عشان انا الان بعتمد على الوندوز في البرمجة

      الله يعفو علينا منها ونعملها ديليا و نرمي السي دي تبعها في الزبالة

      برب

      تعليق


      • #4
        طيب عشان تحل مشكلتك أرفق الكود
        براءة:
        إن سطام لا يضمن صحة و لا دقة ما يكتب ، بل هو إلى الخطأ أقرب منه للصواب ، فدقق و لا تسلّم .
        @ksatux

        تعليق


        • #5
          منور سطام

          اي كود خيو ما فهمت عليك

          الخطئ لي طلعلي هو فوق اضنك تبي الملف بلغة سي مش مهم عشان جميع الملفات حالها كدا يعني مفيش اخطاء من عندي ترجمتها في الوندوز وشغالة تمام التمام

          في انتضاركم

          تعليق


          • #6
            يا ليت حد يفيدنا

            تعليق


            • #7
              كود:
              sudo apt-get install build-essential
              بالتوفيق في رحلتك مع ال buffer

              La vie est complexe car nous avons tous une partie réelle et une partie imaginaire....

              تعليق


              • #8
                المشاركة الأصلية بواسطة AmiZya مشاهدة المشاركة
                كود:
                sudo apt-get install build-essential
                بالتوفيق في رحلتك مع ال buffer
                الله يوفقك حبيبي ....مع العلم ما عرفتك كيف عرفتها

                بس المشكلة ان دي انا عارفها ودايمن بعملها وشغالة تمام

                بس في يوبنتو المشكل

                شوف لما بطبق الامر شو بيعطوني


                كود PHP:
                azzdine@azzdine-desktop:~$ sudo apt-get install build-essential
                [sudopassword for azzdine:
                Lecture des listes de paquets... Fait
                Construction de l
                'arbre des dépendances       
                Lecture des informations d'
                état... Fait
                Certains paquets ne peuvent être installés
                Ceci peut signifier
                que vous avez demandé l
                'impossible, ou bien, si vous utilisez
                la distribution unstable, que certains paquets n'
                ont pas encore
                été créés ou ne sont pas sortis d
                'Incoming.

                Puisque vous n'
                avez demandé qu'une seule opération, le paquet n'est
                probablement pas installable et vous devriez envoyer un rapport de bogue
                .
                L'information suivante devrait vous aider à résoudre la situation : 

                Les paquets suivants contiennent des dépendances non satisfaites :
                  build-essential: Dépend: libc6-dev mais ne sera pas installé ou
                                            libc-dev
                                   Dépend: g++ (>= 4:4.0) mais ne sera pas installé
                  dpkg: Casse: dpkg-dev (< 1.14.0) mais 1.13.11ubuntu7 devra être installé
                E: Paquets défectueux 
                ما فهمت ان الباكيتات لم تتلائم مع يوبنتو مممممم

                هل في من حل عشان تعقدت

                في انتضاركم عشان بتردد على الوندوز عشانو فقط:angry_red:



                برب

                تعليق


                • #9
                  مممممممممم هل في من حل لو لسلم امري لله وازيل يوبنتو

                  تعليق


                  • #10
                    عندك مشكلة في قاعدة بيانات الحزم
                    اعمل التالي:

                    كود:
                    apt-get update
                    apt-get -f install
                    dpkg --configure -a
                    apt-get install build-essential
                    موقع وثائق لينوكس العربية
                    موقع مختص بتوثيق لينكس

                    ((شاركنا بمواضيعك، أفكارك، إقتراحاتك، ومساعدتك لنا هي أساس إستمرارنا ... فلا تبخل علينا بما لديك ولو كان بنظرك قليل، فهو بنظرنا الكثير))





                    تعليق


                    • #11
                      تم عمل ما قلت عليه اخي مسلم لاكن نفس المشكل

                      اضن اني خلاص راح استسلم مع العلم ان وقتي كلو ببحت عن طريقة

                      تعليق


                      • #12
                        المشاركة الأصلية بواسطة djekmani4ever مشاهدة المشاركة
                        السلام عليكم اليوم بعد تتبيتUbuntu 7.10 - Gutsy Gibbon

                        اردت ان اعمل شوي اعمال برمجية جيت اترجم ملف بلغة سي عشان اشوف النتيجة طلع لي العجب دا
                        كود PHP:
                        root@azzdine-desktop:/home/azzdine/Bureau# gcc buffer.c -o buffer
                        buffer.c:1:19erreurstdio.Aucun fichier ou répertoire de ce type
                        buffer
                        .cIn function «main":
                        buffer.c:5: attention : incompatible implicit declaration of built-in function «printf"
                        buffer.c:6attention incompatible implicit declaration of built-in function «scanf
                        صراحة دخلت في دوامة:twister2:
                        على حسب ما فهمت فهو لم يجد مكتبتstdio.h
                        لاكن فين هو الحل:angry_red:



                        في انتضاركم بفارغ الصبر:clown:
                        السلام عليكم ورحمه الله وبركاته

                        اخى العزيز لا اعتبر نفسى محترف

                        ولكنى قابلت نفس المشكله فى اليوبنتو

                        واعتقد فى عدم وجود مكتبات ال gcc

                        الحل تحميل اما المكتبات او نسخه الـ gcc 3 من جديد بدلا عن gcc 4

                        من وجهه نظرى اذا كنت تريد نسخه لينوكس تدعم البرمجه بشكل قوى

                        فهى backtrack اقول هذا عن تجربه فهى نسخه متميزه بحق

                        والله الموفق
                        #include<stdio.h>
                        main(){
                        printf("\tdeltaman\t\n");
                        }

                        تعليق


                        • #13
                          تأكد من أن libc-dev و gcc مثبتان. أخبرنا بالجديد.
                          لست عالم النباتات، لكنني دليله في الغابة.

                          تعليق


                          • #14
                            deltaman مشكوور خيو على الاهتمام انا كنت بستخدم باك تراك كل شئ فيه حلو

                            بس النت ما عرفت تشغيلها فيه مع العلم ان مودم تبعي merana adsl sagem

                            وانت تعرف ان باك ترراك بدون نت لا شئ
                            ادا كان عندك حل لنت فراح اكون شاكرلك
                            ===============^_^===============
                            حبيبي أمجاهد شرفني مروورك كلامك 100/100

                            وتاكدت منها وموجودة بدون اي اخطاء

                            المشكل عويص امر منو واعتبرو اول مشكل حقيقي واجهني في الينكس مند شهرين من الانتقال

                            في انتضاركم بفارغ الصبر

                            تفبلو تحياتي

                            تعليق


                            • #15
                              جرب هذا

                              أضف السطرين التاليين في مقدمة البرنامج :

                              كود:
                              #include <stdio.h>
                              
                              
                              
                              #include <stdlib.h>
                              التعديل الأخير تم بواسطة مسلم عادل; الساعة 14-12-2007, 12:32 AM.
                              لست عالم النباتات، لكنني دليله في الغابة.

                              تعليق

                              يعمل...
                              X